Bug 28992 - Resolve warning from undefined BIG_LOOP
Summary: Resolve warning from undefined BIG_LOOP
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-10 08:27 UTC by Marcel de Rooy
Modified: 2021-10-16 02:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 28992: Resolve warning on BIG_LOOP (1.57 KB, patch)
2021-09-10 08:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 28992: Resolve warning on BIG_LOOP (1.67 KB, patch)
2021-09-12 12:46 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-09-10 08:27:38 UTC
Argument "" isn't numeric in numeric gt (>) at
/usr/share/koha/koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/
addbiblio.tt line 896.

Spotted this one while QAing bug 28608
Comment 1 Marcel de Rooy 2021-09-10 08:30:56 UTC
Created attachment 124726 [details] [review]
Bug 28992: Resolve warning on BIG_LOOP

Argument "" isn't numeric in numeric gt (>) at
/usr/share/koha/koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/
addbiblio.tt line 896.

Came across it when testing 28608. Could have been a QA follow-up.

Test plan:
If you run QA tools on this patch, you should see the warning only
when processing files before patches.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2021-09-10 08:31:24 UTC
Super trivial one liner. Self signoff.
Comment 3 Joonas Kylmälä 2021-09-12 12:46:06 UTC
Created attachment 124812 [details] [review]
Bug 28992: Resolve warning on BIG_LOOP

Argument "" isn't numeric in numeric gt (>) at
/usr/share/koha/koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/
addbiblio.tt line 896.

Came across it when testing 28608. Could have been a QA follow-up.

Test plan:
If you run QA tools on this patch, you should see the warning only
when processing files before patches.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 4 Jonathan Druart 2021-09-20 12:48:26 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-01 18:20:57 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-10-06 20:28:52 UTC
Pushed to 20.11.x for 20.11.11
Comment 7 Victor Grousset/tuxayo 2021-10-16 02:21:23 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.